# fpm
Field panel method for solving transonic flows using the full potential equation\
University of Liège\
:warning: This code is a C++ implementation of [aero](github.com/acrovato/aero) developed in the context of [this PhD thesis](https://hdl.handle.net/2268/251906). However, the field module is not implemented yet. As such, only susbonic calculations *without transonic correction* can be carried out. :warning:

![](/dox/img.png)

## Features
Set of python/C++ modules solving the linear potential equation and correcting it with source terms computed using third-party nonlinear solvers.

- [x] [gmsh](http://geuz.org/gmsh) support for meshing and post-processing
- [x] [eigen3](http://eigen.tuxfamily.org/) support for linear algebra

## Build
fpm depends on [amfe](https://gitlab.uliege.be/am-dept/amfe). Once all the required packages are installed:

```bash
git clone git@gitlab.uliege.be:am-dept/fpm.git # get the code
mkdir build && cd build
cmake .. # configure
make # compile
ctest # test
```

## References
