/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "fField.h"
#include "wElement.h"
#include "wTag.h"

using namespace tbox;
using namespace fpm;

Field::Field(std::shared_ptr<tbox::MshData> _msh, std::string const &name) : Group(_msh, name)
{
    // Initialize element memory
    for (auto e : tag->elems)
        e->initValues(true);
}

void Field::write(std::ostream &out) const
{
    out << "fpm::Field " << *tag << std::endl;
}
